# Breadcrumb 面包屑组件

|参数             |类型                 |说明                        |
|---------------  |--------------------|----------------------------|
|paramsList       |array               |面包屑数据源                 |
|name             |string              |面包屑名称                   |
|href             |string              |面包屑跳转地址,为空或不设置时，默认不跳转|

用法示例：

    import BreadCrumb from '../../../components/Breadcrumb';
    
    const breadcrumbList = [
        {
            name:"商品管理",
            href:"/goodsList"
        },
        {
            name:this.state.page=='add'?"新增商品":"编辑商品",
            href:""
        }
    ];

    <BreadCrumb paramsList={breadcrumbList}/>