
const api = configs.host.api;
export default {

    /*商品管理 */
    'getGoodsList': api + '/api/EmployeeManage/GetEmployeeManageList', // 获取获取商品名称搜索下拉组件数据源
    'GetProductCategoryListByParentId':api + '/api/ProductCategory/GetProductCategoryListByParentId', // 获取商品分类
    'GetgoodsResource' : api + '/api/Product/GetProductPageList' , // 获取商品管理列表
    'GetInventoryGroupsList': api + '/api/Product/GetProductPoolList', // 获取库存组数据
    'GetProductDetail':api + '/api/Product/GetProductDetail', // 获取商品详情
    'BatchSetSaleStatus': api + '/api/Product/BatchSetSaleStatus', //批量设置商品的销售状态
    'GetTemplateList': api + '/api/ProductTemplate/GetTemplateList', // 分页获取商品模板
    'ProductCreate': api +　'/api/Product/ProductCreate', // 新增商品
    'GetAreaList' : api + '/api/Area/GetAreaList', // 根据指定的父Id，获取区域集合
    'ProductUpdate': api +　'/api/Product/ProductUpdate', // 编辑商品
    /*密价管理 */
    'GetpriceResource' :api + '/api/ProductSpGroup/GetSpGroupList', // 获取密价组管理列表
    'addPriceGroup' : api + '/api/ProductSpGroup/CreateSpGroup' , // 添加密价组
    'EditPriceGroup' : api + '/api/ProductSpGroup/UpdateSpGroup',
    'DeletePriceGroup' : api + '/api/ProductSpGroup/DeleteSpGroup', // 删除密价组
    // 密价商户管理列表
    'GetMerchantsResource' : api + '/api/ProductSpGroupMember/GetProdcutSpMemberList', // 获取商户管理列表
    'DeletetMerchants': api + '/api/ProductSpGroupMember/DeleteProductSpMember' , // 批量删除密价商户
    'GetMemberList': api + '/api/ProductSpGroupMember/GetMemberList', //获得待加入密价组商户列表
    'AddProductSpMember': api + '/api/ProductSpGroupMember/AddProductSpMember' , // 添加密价组商户
    'GetBusinessInfo':api + '/api/ProductSecretPrice/GetBusinessInfo', // 允许密价应用列表
    // 密价商品管理列表
    'GetBusinessInfoIntoMember': api + '/api/ProductSecretPrice/GetBusinessInfoIntoMember', // 获取当前密价商户下密价商品应用
    'GetSecretProductPageList': api + '/api/ProductSecretPrice/GetMemberSecretPriceDetailList' , // 获取密价商品管理列表
    'GetMemberSecretPriceProductList': api + '/api/ProductSecretPrice/GetMemberSecretPriceProductList', // 获取商户可添加的商品列表(排除已添加商品)
    'AddMemberSecretPriceProduct': api + '/api/ProductSecretPrice/AddMemberSecretPriceProduct', // 添加商户密价商品
    'DeleteMemberProductSecretPrice': api + '/api/ProductSecretPrice/DeleteMemberProductSecretPrice', // 删除商品密价
    'GetSupProductList':api + '/api/ProductSecretPrice/GetSupProductList', //获取供货商品列表
    'UpdateMemberProductSecretPrice': api + '/api/ProductSecretPrice/UpdateMemberProductSecretPrice', //更新商户商品密价
    'RemoveMemberProductSecretPrice': api + '/api/ProductSecretPrice/RemoveMemberProductSecretPrice', // 移除商户商品密价
    'SetEnableBuy': api + '/api/ProductSecretPrice/SetEnableBuy', //设置是否可购买
    'SetMemberProductRebateSecretPrice': api + '/api/ProductSecretPrice/SetMemberProductRebateSecretPrice', //设置折扣密价
    'SetMemberProductSecretPrice': api + '/api/ProductSecretPrice/SetMemberProductSecretPrice', // 设置固定密价
    'GetSynchronousMemberList': api + '/api/ProductSecretPrice/GetSynchronousMemberList', // 获取可以同步商品密价的商户列表(已加入密价组)
    'SynchronousMemberProductSecretPrice' : api + '/api/ProductSecretPrice/SynchronousMemberProductSecretPrice', // 同步密价
    /*密价搜索 */
    'GetGoodsSearch': api + '/api/ProductSpGroupMember/GetSpMemberProductSearchList' , // 通过商品搜索
    'GetMerchantsSearch': api + '/api/ProductSpGroupMember/GetSpMemberSearchList' , // 通过商户搜索
    'GetRecrdList' : api + '/api/ProductSpGroupMember/GetImportSecretList' , // 导入记录列表
    'GetImportSecretDetail': api + '/api/ProductSpGroupMember/GetImportSecretDetail', // 导入详情
    'ReImportSecret': api + '/api/ProductSpGroupMember/ReImportSecret', // 密价导入-重新导入密价
    'HaveImportSecret':api + '/api/ProductSpGroupMember/HaveImportSecret', //判断是否有正在导入的密价
    /*待处理密价*/
    'GetQuotationSheetManageList': api + '/api/QuotationSheetManage/ShowQuotationSheetForOp', // 待处理密价列表
    'CreateSecretPrice': api + '/api/QuotationSheetManage/CreateSecretPrice',// 
    'GetAppsList': api + '/api/AppsManage/GetAppsList', //后台管理应用列表接口
    /*报备管理*/
    'GetPurchaserMemberList': api + '/api/Report/GetPurchaserMemberList', //获取所有供货商户
    'GetProductByMemberList': api + '/api/Report/GetProductByMemberList', // 根据进货商户获取平台商品 
    'ApplySupReport': api + '/api/Report/ApplySupReport', //申请报备
    'UpdateSupReportInfo': api + '/api/Report/UpdateSupReportInfo', //更新报备状态

    /* 库存锁定 */
    'GetStockLockApplyList': api  + '/api/Inventory/GetStockLockApplyList', // 库存分页列表查询
    'GetStockLockApplyDetailList': api + '/api/Inventory/GetStockLockApplyDetailList', // 库存详情列表查询
    'GetInventoryProductList': api + '/api/Inventory/GetInventoryProductList', // 库存锁定选择商品
    'AddStockLockApply': api + '/api/Inventory/AddStockLockApply', // 添加库存锁定
    'SupplementStockLockApply': api + '/api/Inventory/SupplementStockLockApply', // 补充库存锁定接口
    'ReleaseStockLockApply': api + '/api/Inventory/ReleaseStockLockApply', //释放库存锁定接口 
    /*ActivityApply 活动列表*/
    'GetActivityList': api + '/api/ActivityApply/GetActivityList', // 获取活动列表
    'GetActivityDetail': api + '/api/ActivityApply/GetActivityDetail', // 获取活动详情
    'GetActivityRelationProductList': api + '/api/ActivityApply/GetActivityRelationProductList', // 获取活动关联的商品
    'GetSupProductRelationProductList': api + '/api/ActivityApply/GetSupProductRelationProductList', // 获取平台商品列表
    'GetActivityApplyList': api + '/api/ActivityApply/GetActivityApplyList', // 获取活动申请列表
    'GetActivityApplyMemberList': api + '/api/ActivityApply/GetActivityApplyMemberList', // 获取进货商列表
    'QuotationSheetProductDetailInOperator': api + '/api/QuotationSheetManage/QuotationSheetProductDetailInOperator',//获取报价单商品明细
    'SubmitActivityApply': api + '/api/ActivityApply/SubmitActivityApply', // 提交活动报名
    'StasticActivityApplyCount' : api + '/api/ActivityApply/StasticActivityApplyCount', // 获取参加活动进货商不同状态的总数                    
    'ReSubmitActivityApply': api + '/api/ActivityApply/ReSubmitActivityApply', // 重新提交活动报名 
    /* 订单管理 */
    'GetOrderList': api + '/api/Order/GetOrderList', //获取主订单列表
    'GetOrderDetail': api + '/api/Order/GetOrderDetail', //获取订单明细
    'GetSubOrderDetails': api + '/api/Order/GetSubOrderDetails', //获取子订单明细
    /* 商户管理 */
    'GetMemberMangeList': api + '/api/MemberManage/GetMemberList', //分页查询进货商户
    'GetInfo': api + '/api/MemberManage/GetInfo', //查询进货商户详情

    /* 库存商品管理*/
    'GetList': api + '/api/SupProductManage/GetList', //获取供货商品列表
    'GetGroupProductBySupProductId': api + '/api/SupProductManage/GetGroupProductBySupProductId', //查看当前商品对应的库存组下平台商品
    'PushProductPool': api + '/api/SupProductManage/PushProductPool', //供货商品发布到商品池
    'SetProductAttr': api + '/api/SupProductManage/SetProductAttr', //设置商品属性
    'PublishSupProductToProduct': api + '/api/SupProductManage/PublishSupProductToProduct', //供货商品一键发布到平台自有商品
    'GetSupProductTag': api + '/api/SupProductManage/GetSupProductTag', //查询Sup商品标签
    /*ProductPoolCard 卡密库存管理*/
    'GetCardGroupList': api + '/api/ProductPoolCard/GetCardGroupList', //卡密商品池分组列表
    'CreateCardGroup' : api + '/api/ProductPoolCard/CreateCardGroup',//创建分组
    'UpdateCardGroup': api + '/api/ProductPoolCard/UpdateCardGroup', // 修改分组
    'DeleteCardGroup': api + '/api/ProductPoolCard/DeleteCardGroup', //删除分组
    'GetCardGroupProductDetailList': api + '/api/ProductPoolCard/GetCardGroupProductDetailList', //分组商品明细
    'GetCardPoolProductList': api + '/api/ProductPoolCard/GetCardPoolProductList', //卡密商品池商品列表
    'CreateCardGroupProductDetail': api + '/api/ProductPoolCard/CreateCardGroupProductDetail', //插入卡密分组商品明细
    'UpdateCardGroupProduct': api + '/api/ProductPoolCard/UpdateCardGroupProduct',//修改分组商品明细
    'DeleteCardGroupProductDetail' : api + '/api/ProductPoolCard/DeleteCardGroupProductDetail', //删除分组商品明细
    'GetCardOwnerGroupList': api + '/api/ProductPoolCard/GetCardOwnerGroupList', // 卡密商品池所属分组
    'DeleteCardPoolProduct': api + '/api/ProductPoolCard/DeleteCardPoolProduct', // 删除卡密池商品
    'CheckCardGroupProduct': api + '/api/ProductPoolCard/CheckCardGroupProduct', // 判断卡密库存组下面是否有商品
    'GetFpCardProduct': api + '/api/ProductPoolCard/GetFpCardProduct', //根据Sup商品获得FP商量列表
    'PublishSupProductToProduct': api + '/api/Product/PublishSupProductToProduct', // 供货商品一键发布到平台自有商品
    /*ProductPoolDirectCharge 直充库存管理*/

    'GetDirectChargeGroupList': api + '/api/ProductPoolDirectCharge/GetDirectChargeGroupList', // 直充商品池分组列表
    'CreateDirectChargeGroup': api + '/api/ProductPoolDirectCharge/CreateDirectChargeGroup', // 创建分组
    'UpdateDirectChargeGroup' : api +　'/api/ProductPoolDirectCharge/UpdateDirectChargeGroup' , // 修改分组
    'DeleteDirectChargeGroup' : api + '/api/ProductPoolDirectCharge/DeleteDirectChargeGroup', // 删除分组
    'GetDirectChargeDetailToGroupList' : api +　'/api/ProductPoolDirectCharge/GetDirectChargeDetailToGroupList', // 分组商品明细
    'GetDirectChargeDetailExcludeGroup' : api + '/api/ProductPoolDirectCharge/GetDirectChargeDetailExcludeGroup', // 直充添加商品列表
    'CreateDirectChargeGroupDetail': api + '/api/ProductPoolDirectCharge/CreateDirectChargeGroupDetail', // 直充添加商品提交
    'UpdateGroupProductDetailSort': api + '/api/ProductPoolDirectCharge/UpdateGroupProductDetailSort', //修改分组排序
    'DeleteDirectChargeGroupDetail' : api + '/api/ProductPoolDirectCharge/DeleteDirectChargeGroupDetail', // 删除分组商品明细
    'DeleteDirectChargeProductPool': api +　'/api/ProductPoolDirectCharge/DeleteDirectChargeProductPool', // 删除直充商品池商品
    'GetDirectChargeOwnerGroupList' : api　+ '/api/ProductPoolDirectCharge/GetDirectChargeOwnerGroupList', // 直充商品池所属分组
    'CheckDirectChargeProduct' : api　+ '/api/ProductPoolDirectCharge/CheckDirectChargeProduct', // 判断直冲库存组下面是否有商品
    'GetFpDirectChargeProduct': api + '/api/ProductPoolDirectCharge/GetFpDirectChargeProduct',//根据Sup商品获得FP商量列表
};
