import { routerRedux } from 'dva/router';
import * as memberService from '../services/member';
import { message } from 'antd';
export default {
  namespace: 'member',
  state: {
  },
  subscriptions: {
    setup({
      history,
      dispatch
    }, onError) { }
  },
  effects: {
    // 分页查询进货商户
    *GetMemberList(action, { call, put }) {
      const regRes = yield call(memberService.GetMemberList, action.payload);
      return regRes;
    },
    // 查询进货商户详情
    *GetInfo(action, { call, put }) {
      const regRes = yield call(memberService.GetInfo, action.payload);
      return regRes;
    },
  },
  reducers: {
    report(state, payload) {
      return {
        ...state,
        ...payload
      };
    }
  }
};
