import { routerRedux } from 'dva/router';
import * as orderService from '../services/order';
import { message } from 'antd';
export default {
  namespace: 'order',
  state: {
  },
  subscriptions: {
    setup({
      history,
      dispatch
    }, onError) { }
  },
  effects: {
    // 获取主订单列表
    *GetOrderList(action, { call, put }) {
      const regRes = yield call(orderService.GetOrderList, action.payload);
      return regRes;
    },
    // 获取订单明细
    *GetOrderDetail(action, { call, put }) {
      const regRes = yield call(orderService.GetOrderDetail, action.payload);
      return regRes;
    },
    // 获取子订单明细
    *GetSubOrderDetails(action, { call, put }) {
      const regRes = yield call(orderService.GetSubOrderDetails, action.payload);
      return regRes;
    },
  },
  reducers: {
    report(state, payload) {
      return {
        ...state,
        ...payload
      };
    }
  }
};
