import axios from '../utils/axios';
import Api from '../configs/api';
import { message } from 'antd';

// 卡密商品池分组列表
export function GetCardGroupList(data) {
  return axios.get(Api.GetCardGroupList, {
    params: data
  })
}

// 创建分组
export function CreateCardGroup (data) {
  return axios({
    method: 'post',
    url: Api.CreateCardGroup,
    data: data
  })
}

// 删除分组
export function DeleteCardGroup (data) {
  return axios({
    method: 'post',
    url: Api.DeleteCardGroup,
    data: data
  })
}

// 分组商品明细
export function GetCardGroupProductDetailList(data) {
  return axios.get(Api.GetCardGroupProductDetailList, {
    params: data
  })
}

// 更新分组
export function UpdateCardGroup (data) {
  return axios({
    method: 'post',
    url: Api.UpdateCardGroup,
    data: data
  })
}

// 卡密商品池商品列表
export function GetCardPoolProductList(data) {
  return axios.get(Api.GetCardPoolProductList, {
    params: data
  })
}

// 插入卡密分组商品明细
export function CreateCardGroupProductDetail (data) {
  return axios({
    method: 'post',
    url: Api.CreateCardGroupProductDetail,
    data: data
  })
}

export function UpdateCardGroupProduct (data) {
  return axios({
    method: 'post',
    url: Api.UpdateCardGroupProduct,
    data: data
  })
}

export function DeleteCardGroupProductDetail (data) {
  return axios({
    method: 'post',
    url: Api.DeleteCardGroupProductDetail,
    data: data
  })
}

export function GetCardOwnerGroupList(data) {
  return axios.get(Api.GetCardOwnerGroupList, {
    params: data
  })
}

export function DeleteCardPoolProduct (data) {
  return axios({
    method: 'post',
    url: Api.DeleteCardPoolProduct,
    data: data
  })
}


export function CheckCardGroupProduct(data) {
  return axios.get(Api.CheckCardGroupProduct, {
    params: data
  })
}


export function GetFpCardProduct(data) {
  return axios.get(Api.GetFpCardProduct, {
    params: data
  })
}

export function PublishSupProductToProduct (data) {
  return axios({
    method: 'post',
    url: Api.PublishSupProductToProduct,
    data: data
  })
}



























