import axios from '../utils/axios';
import Api from '../configs/api';
import { message } from 'antd';

// 获取订单明细
export function GetOrderDetail(data) {
  return axios.get(Api.GetOrderDetail, { params: data})
}
// 获取子订单明细
export function GetSubOrderDetails(data) {
  return axios.get(Api.GetSubOrderDetails, { params: data})
}
// 获取主订单列表
export function GetOrderList (data) {
  return axios({
    method: 'post',
    url: Api.GetOrderList,
    data: data
  })
}





