import axios from '../utils/axios';
import Api from '../configs/api';

export function GetDirectChargeGroupList(data) {
    return axios.get(Api.GetDirectChargeGroupList, {
      params: data
    })
}

export function CreateDirectChargeGroup (data) {
    return axios({
      method: 'post',
      url: Api.CreateDirectChargeGroup,
      data: data
    })
}

export function UpdateDirectChargeGroup (data) {
    return axios({
      method: 'post',
      url: Api.UpdateDirectChargeGroup,
      data: data
    })
}

export function DeleteDirectChargeGroup (data) {
    return axios({
      method: 'post',
      url: Api.DeleteDirectChargeGroup,
      data: data
    })
}

export function GetDirectChargeDetailToGroupList(data) {
  return axios.get(Api.GetDirectChargeDetailToGroupList, {
    params: data
  })
}

export function GetDirectChargeDetailExcludeGroup(data) {
  return axios.get(Api.GetDirectChargeDetailExcludeGroup, {
    params: data
  })
}


export function CreateDirectChargeGroupDetail (data) {
  return axios({
    method: 'post',
    url: Api.CreateDirectChargeGroupDetail,
    data: data
  })
}

export function UpdateGroupProductDetailSort (data) {
  return axios({
    method: 'post',
    url: Api.UpdateGroupProductDetailSort,
    data: data
  })
}

export function DeleteDirectChargeGroupDetail (data) {
  return axios({
    method: 'post',
    url: Api.DeleteDirectChargeGroupDetail,
    data: data
  })
}

export function DeleteDirectChargeProductPool (data) {
  return axios({
    method: 'post',
    url: Api.DeleteDirectChargeProductPool,
    data: data
  })
}

export function GetDirectChargeOwnerGroupList(data) {
  return axios.get(Api.GetDirectChargeOwnerGroupList, {
    params: data
  })
}


export function CheckDirectChargeProduct(data) {
  return axios.get(Api.CheckDirectChargeProduct, {
    params: data
  })
}

export function GetFpDirectChargeProduct(data) {
  return axios.get(Api.GetFpDirectChargeProduct, {
    params: data
  })
}



















