import axios from '../utils/axios';
import Api from '../configs/api';
import { message } from 'antd';

// 获取商品分类
// export function GetPurchaserMemberList(data) {
//   return axios.get(Api.GetPurchaserMemberList, {
//     params: data
//   })
// }


// 获取所有供货商户
export function GetPurchaserMemberList (data) {
  return axios({
    method: 'post',
    url: Api.GetPurchaserMemberList,
    data: data
  })
}

// 根据进货商户获取平台商品
export function GetProductByMemberList (data) {
    return axios({
      method: 'post',
      url: Api.GetProductByMemberList,
      data: data
    })
}

// 申请报备
export function ApplySupReport (data) {
    return axios({
      method: 'post',
      url: Api.ApplySupReport,
      data: data
    })
}


// 更新报备状态
export function UpdateSupReportInfo (data) {
    return axios({
      method: 'post',
      url: Api.UpdateSupReportInfo,
      data: data
    })
}


  









