var statusToText = {
    //商品属性
    ProductType: {
        1: '话费',
        2: '流量',
        3: '卡密',
        4: '直充'
    },
    //商品类型
    GoodsType: {
        1: '卡密',
        2: '卡密直充',
        4: '在线直充'
    },
    //销售状态
    SaleStatus: {
        1: '下架',
        2: '上架',
        3: '官方维护',
        4: '库存维护'
    },
    //sup销售状态
    KmSaleStatus: {
        0: '下架',
        1: '上架'
    },
    //库存状态
    StockStatus: {
        1: '断货',
        2: '警报',
        3: '充足'
    },
    //库存状态
    KmStockStatus: {
        0: '断货',
        1: '警报',
        2: '充足'
    },
    //发布状态
    KmPublish: {
      0: '未发布',
      1: '已发布到商品池'
    },
    //库存类型
    StockType: {
        1: '自有库存',
        2: '供货商库存'
    },
    //库存性质
    Nature: {
        1: '普通库存',
        2: '库存包',
        3: '区域库存'
    },
    // 分组类型
    Mode: {
        card: {
            1: '同步提卡',
            2: '异步提卡'
        },
        flow: {
            1: '利润率',
            2: '成功率'
        },
        recharge: {
            1: '普通',
            2: '区域',
            3: '面值',
            4: '区域+面值'
        },
        telrate: {
            1: '利润率',
            2: '成功率'
        }
    },
    // 直充商品组类型
    RechargeMode: {
        1: '普通',
        2: '区域',
        3: '面值',
        4: '区域&面值'
    },
    //流量性质
    PacketKind: {
        1: '日',
        2: '月',
        3: '季',
        4: '年'
    },
    //流量类型
    PacketType: {
        1: '本地',
        2: '漫游',
        3: '全国'
    },
    //接口状态
    ApiState: {
        1: '正常',
        2: '维护',
        3: '下线'
    },
    //商户类型
    MemberType: {
        1: '内部',
        2: '外部'
    },
    //商户审核状态
    MemberStatus: {
        0: '待审核',
        1: '审核通过',
        2: '审核不通过'
    },
    //商户类型
    AuthenticationType: {
        1: '未认证',
        2: '个人',
        3: '企业'
    },
    //认证状态
    AuthenticationStatus: {
        0: '未认证',
        1: '认证待审核',
        2: '认证通过',
        3: '认证不通过'
    },
    //内部认证状态
    InnerAuthenticationStatus: {
        0: "未审核",
        1: "运营审批通过",
        2: "运营审批不通过",
        3: "财务审核中",
        4: "财务审核通过",
        5: "财务审核不通过",
        6: "系统审核"
    },
    // 申请状态
    ApplyStatus: {
        1: '未审核',
        2: '审核通过',
        3: '审核不通过'
    },
    // 售后状态
    Status: {
        0: '未售后',
        1: '已售后'
    },
    // 售后类型
    AsType: {
        0: '',
        1: '退款',
        2: '补充'
    },
    // 加款状态
    AddmoneyStatus: {
        0: '未处理',
        1: '已通过',
        2: '未通过'
    },
    // 审批状态
    AuditStatus: {
        0: "系统自动审核中",
        1: '待审批',
        2: '运营审批不通过',
        3: '运营审批通过',
        4: '财务审批不通过',
        5: '财务审批通过'
    },
    //交易状态
    transactionStatus: {
        11: '待处理',
        21: '冻结余额成功',
        31: '冻结余额失败',
        41: '充值中',
        51: '财务处理成功',
        61: '充值成功',
        71: '充值失败',
        // 1: '待提交',
        // 2: '已提交',
        // 4: '退款',
        // 5: '补充',
        // 6: '成功',
        // 8: '失败',
    },
    //订单外部状态
    OrderOuterStatus: {
        11: '待付款',
        15: '交易关闭',
        21: '付款成功',
        31: '待充值',
        41: '充值中',
        51: '充值成功',
        61: '充值失败',
        71: '退款成功',
    },
    //订单内部状态
    OrderInnerStatus: {
        11: '待处理',
        21: '冻结余额成功',
        31: '冻结余额失败',
        41: '充值中',
        51: '财务处理成功',
        61: '充值成功',
        71: '充值失败'
    },
    //售后状态
    AfterSaleStatus: {
        11: '核实中',
        21: '部分到账',
        31: '全部到账',
        41: '未到账',
        51: '退款成功',
        61: '补充成功'
    },
    //商户财务明细交易类型（主）
    MemberPrimaryType: {
        1: '收入',
        2: '支出',
        3: '资金冻结',
        4: '资金解冻'
    },
    //商户财务明细交易类型(子)
    MemberChildPrimaryType: {
        1: '加款收入',
        2: '加款冻结',
        3: '加款解冻',
        4: '提现支出',
        5: '提现冻结支出',
        6: '提现撤销收入',
        7: '订单冻结支出',
        8: '订单失败解冻收入',
        9: '手工退款收入',
        10: '进货支出',
        11: '售后退款'
    },
    //平台财务明细交易类型(子)
    PlatformChildPrimaryType: {
        1: '加款收入',
        2: '提现支出',
        3: '进货支出',
        4: '售后退款收入',
        5: "服务费收入"
    },
    //订单状态
    OrderStatus: {
        1: '未处理',
        2: '处理中',
        6: '成功',
        7: '可疑',
        8: '失败'
    },
    //交易类型
    TransactionType: {
        1: "预存代付",
        2: "预存实结",
        3: "授信后结"
    },
    //交易主类型
    OperationType: {
        0: '收入',
        1: '支出'
    },
    // 带票信息
    InvoiceType: {
        0: "寄售",
        1: "自营"
    },
    // 渠道类型
    SourceType: {
        1001: "卡门1",
        2001: "Sup供货"
    },
    MemberTypeArr: ["", "内部", "外部"],
    MemberStatusObj: {
        0: "",
        1: "启用",
        2: "禁用"
    },
    // 操作类型
    OperateType: {
        1: "增加",
        2: "修改",
        3: "删除",
        4: "发布到商品",
        5: "点击"
    },
    // 应用类型
    AppType: {
        1: "普通",
        2: '进货',
        3: "供货",
        4: "FP"
    },
    // 通知类型
    NotifyType: {
        1: "CCAPI",
        2: "OPENAPI"
    },
    // 订单导出状态
    OrderExportStatus: {
        11: "未处理",
        21: "导出中",
        31: "导出成功",
        41: "导出失败"
    },
    // 订单业务来源
    BizSource: {
        1: "进货商",
        2: "供货商",
        3: "FP",
    },
    // 二级票据类型
    SecondInvoiceType: {
        0: "无票",
        1: "普票",
        2: "专票"
    },
    // 日志业务模块类型
    BusinessType: {
        1: "库存",
        2: "密价",
        3: "商品",
        4: "Fp",
        5: "用户",
        6: "角色",
        7: "权限",
        8: "商品分类",
        9: "报价",
        10: "FP退虚收利润",
        11: "订单"
    },
    // 子订单状态
    SupStatus: {
        7: "已生成待推送",
        8: "风控拦截",
        9: "推送失败",
        11: "待配货",
        21: "配货中",
        31: "配货完成",
        41: "充值成功",
        51: "充值失败"
    },
    // 物流订单状态
    LogisticStatus: {
        0: "处理中",
        1: "成功",
        2: "失败",
        3: "可疑",
        4: "未处理"
    },
    // 发票类型 
    InvoiceTypeObj: {
        1: "增值税普通发票",
        2: "增值税专用发票",
        3: "组织（非企业）增值税普通发票"
    },
    // 发票性质
    InvoiceMaterial: {
        1: "电子",
        2: "纸质"
    },
    // 开票申请状态
    InvoiceApplyStatus: {
        11: "待处理",
        21: "核对中",
        31: "审核通过",
        41: "审核不通过",
        51: "开票中",
        61: "开票成功",
        71: "已取消",
    },
    // 寄送状态
    DeliveryStatus: {
        0: "未寄送",
        1: "已寄送"
    },
    // 开具类型
    OrgType: {
        1: "个人",
        2: "企业"
    },
    // 快递公司
    express: {
        "顺丰快递": "shunfeng",
        "京东快递": "jd",
        "中通速递": "zhongtong",
        "申通快递": "shentong",
        "天天快递": "tiantian",
        "圆通速递": "yuantong",
        "百世汇通": "huitongkuaidi",
        "韵达快运": "yunda",
        "EMS快递": "ems",
    },
    // 报价单状态
    QuotationStatus: {
        11: "待推送密价",
        21: "待生成密价",
        31: "已生成密价"
    },
    // fp退款状态
    FpRefundStatus: {
        1: "已删除",
        2: "待提交审核",
        3: "审核中",
        4: "审核不通过",
        5: "退款中",
        6: "退款完成"
    },
    // fp退款订单状态
    FpRefundOrderStatus: {
        1: "待退款",
        2: "已退款",
        3: "已同步至订单",
    },
    // 消息状态
    MessageSendStatus: {
        1: "未发布",
        2: "发布中",
        3: "已发布",
        4: "撤回"
    },
    // 消息分类状态
    MessageCatoryStatus: {
        1: "启用",
        2: "禁用"
    },
    // 读信状态
    ReadStatus: {
        1: "未读",
        2: "已读"
    },
    // 操作人角色
    SendRole: {
        1: "平台",
        2: "FP",
        3: "应用",
        4: "Sup",
        5: "Merchant"
    },
    // 商户对账单 账单类型
    ApplyType: {
        1: '财务对账单',
        2: '订单对账单'
    },
    // 商户对账单 生成类型
    BuildType: {
        1: '手动',
        2: '自动'
    },
    // 商户对账单 申请状态
    StatementStatus: {
        0: '推送失败',
        1: '生成中',
        2: '已生成'
    },
    // 消息中心 接收条件
    ReceiverType: {
        1: '全部',
        2: '按应用',
        3: '按商品',
        4: '指定人'
    },
    // 广告位 类型
    AdPositionType: {
        0: '下线',
        1: '首页Banner'
    },
    // 广告位 状态
    AdStatus: {
        0: '下线',
        1: '上线'
    },
    // 提现方式
    WType: {
        1: '银行卡',
        2: "支付宝"
    },
    // 流程步骤
    ProcessStep: {
        1: '步骤1-主订单入库',
        2: "步骤2-子订单入库",
        3: "步骤3-推送子订单",
        4: "步骤4-订阅子订单充值结果",
        5: "步骤5-失败主订单",
        6: "步骤6-订阅财务付款消息",
        11: "步骤11-财务冻结",
        21: "步骤21-匹配商品生成子订单",
        31: "步骤31-推送子订单到sup",
        41: "步骤41-订阅sup充值回调结果",
        51: "步骤51-成功主订单，推送财务付款消息",
        61: "步骤61-失败主订单，执行财务退款",
        71: "步骤71-订阅财务付款回调结果",
    },
    // 状态
    ExpStatus: {
        0: '待处理',
        1: '处理中',
        2: "已处理"
    },
    // 商户角色
    MemberRole: {
        1: 'FP',
        2: "进货商户",
        3: "供货商户",
        4: "客服服务商"
    },
    // 是否报备
    Report: {
        0: "否",
        1: '是'
    },
    // 报备状态
    ReportStatus: {
        0: "未报备",
        1: '待审核',
        2: '已报备',
        3: '已拒绝'
    },
    // 策略状态
    StrategyStatus: {
        0: "停用中",
        1: '运行中'
    },
    // 是否控制
    IsControl: {
        0: "未控制",
        1: '已控制'
    },
    // 作业启用状态
    JobEnabledStatus: {
        0: "停用",
        1: '启用',
        2: '暂停'
    },
    // 协议类型(是否三方)
    IsThird: {
        0: '非三方',
        1: '三方'
    },
    // 支付方式
    PaymentMethod: {
        1: '现金账户',
        2: '授信账户'
    },
    // 银行卡类型
    BankType: {
        1: '银行卡',
        2: '支付宝'
    },
    // 银行卡状态
    BankCardStatus: {
        0: '未验证',
        1: '待验证',
        2: '已验证'
    },
    // sup商品变更类型
    ProductchangeType: {
        0: '新增',
        1: '修改',
        2: '删除'
    },
    // 清账文件状态
    UploadStatus: {
        0: '未处理',
        1: '清账文件已上传',
        2: '应收应付文件已上传'
    },
    // 清账冻结状态
    FzStatus: {
        0: '未处理',
        1: '冻结失败',
        2: '冻结成功',
        3: '扣款成功'
    },
    // 清账应收应付状态
    RpStatus: {
        0: '未处理',
        1: '已用授信迁移成功',
        2: '清账余额返还成功'
    },
    // 业务类型
    BizType: {
        1: '收单',
        2: '未知'
    },
    // 灰度级别
    GrayLevel: {
        1: '应用',
        2: '商户',
        3: '商品'
    },
    // 交易科目 所属类型
    MainType: {
        0: '收入',
        1: '支出',
    },
    // 见证宝实施管理状态
    JzbConfigStatus: {
        0: '未开启',
        1: '开启',
    },
    // 商户对账单 账户类型
    AccountType: {
        0: '进货账户',
        1: '供货账户',
        3: '平台账户',
        3: '授信账户',
    },
    // 商户对账单 汇总类型
    StatementType: {
        1: '日汇总',
        2: '月汇总',
    },
    // 商户对账单 状态
    MemberStatementStatus: {
        0: '平',
        1: '不平',
    },
    // 三方协议 状态
    IsThirdAgreementStatus: {
        0: '-',
        1: '修改中',
        2: '已修改',
    },
    // 三方协议 所在环节
    IsThirdAgreement: {
        0: '-',
        1: '需确认协议',
        2: '已确认协议',
    },
};
module.exports = statusToText;
