import React from 'react';
import { connect } from 'dva';
import {Breadcrumb,Form  } from "antd";
import {withRouter} from "react-router-dom";
import './less/breadCrumb.less';
class BreadcrumbGroup extends React.Component {
	constructor(props) {
		super(props);
	}
	componentWillMount() {

    }
    
	componentWillReceiveProps(nextProps) {
		const { props } = this;
    }

    onClick=(item)=>{
        if(item.href){
            this.props.history.push(item.href)
        }
    }

	render() {
        const {paramsList} =this.props;
		return (
			<div className="breadCrumbGroup">
                <Breadcrumb  style={{position:"absolute",left:"20px",top:"50%", transform: "translateY(-50%)"}}>
                {
                    paramsList&&paramsList.length?
                    (
                        paramsList.map((item,i)=>{
                            return <Breadcrumb.Item key={item}>
                                <span onClick={()=>{this.onClick(item)}} style={{color:item.href?"#009cff":"#404040",fontSize:"13px",cursor:item.href?"pointer":'auto'}}>{item.name}</span>
                            </Breadcrumb.Item>
                        }) 
                    ):""
                }
                </Breadcrumb>
            </div>
		)
	}
}

export default connect(state => ({ ...state }))(Form.create()(withRouter(BreadcrumbGroup)));