import React from 'react';
import { connect } from 'dva';
import {Spin,Tabs  } from  "antd";
import './less/noRight.less';
import BreadCrumb from '../Breadcrumb';
const { TabPane } = Tabs;
class NoRight extends React.Component {
	constructor(props) {
        super(props);
        this.state={
            index:"1"
        }
	}

	componentWillReceiveProps(nextProps) {
		const { props } = this;
    }

	render() {
        const {index } = this.state;
        const breadcrumbList = [
            {
                name:"员工管理",
                href:""
            }
        ];
		return (
			<div className="noRight">
                <BreadCrumb paramsList={breadcrumbList}/>
                <div className="noRight-containter">
                    <Spin spinning={false}>
                        <div className="noRight-content">
                            <div className="norightTip"> <img src={require('../../sprite/tip.png')} alt=""/> 您的企业钉钉还未进行授权，请先到 <span onClick={()=>{this.props.history.push("/business/account")}}>企业账户</span>授权后同步员工信息</div>
                        </div>
                    </Spin>
                </div>
                
            </div>
		)
	}
}

const mapStateToProps = (state) => {
	return {
		...state,
	};
}

export default connect(mapStateToProps)(NoRight);