import React from 'react';
import { connect } from 'dva';
import {
  Spin, Form, Input, Modal, message, Divider, Tag
} from 'antd';
class CommodityTags extends React.Component {
  constructor(props) {
    super(props);
  }
  handleClose = () => {
    this.props.cancelModel();
  }
  render() {
    const { rowInfo } = this.props;
    return (
      <Modal
        title='标签信息'
        visible
        width="600px"
        onCancel={this.handleClose}
        maskClosable={false}
        footer={null}
      >
        {
          rowInfo && rowInfo.productTag && rowInfo.productTag.length >0 &&
          rowInfo.productTag.map(item=>{
            return <Tag style={{marginBottom:'8px',marginRight:'8px'}} key={JSON.stringify(item)} color={item.colorCode} 
            >{item.tagName}</Tag>
          })
        }
      </Modal>
    );
  }
}
const mapStateToProps = (state) => {
  return {
    ...state,
  };
}
export default connect(mapStateToProps)(Form.create()(CommodityTags));

