
import moment from 'moment';

export default {
    default:[
        {
            name: 'Username',
            index: 1,
            type: 0,
            id: 'Username',
            placeholder:'',
            styles:{},
            formItems:'max'
        },
    ],
    goods:[
        {
            name: '商品编号',
            index: 1,
            type: 0,
            id: 'Id',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商品编号',
            styles:{},
        },
        {
            name: '商品名称',
            index: 2,
            type: 0,
            id: 'ProductName',
            placeholder:'请输入商品名称',
        },
        {
            name: '商品面值',
            index: 3,
            type: 0,
            id: 'FaceValue',
            placeholder:'请输入商品面值',
            styles:{},
        },
        {
            name: '商品属性',
            index: 4,
            type:1,
            id: 'ProductType',
            placeholder:'请选择商品属性',
            items: [
                { name: '商品属性', value:'' },
                { name: '卡密', value: 3 },
                { name: '直充', value: 4 },
            ]
        },
        {
            name: '销售状态',
            index: 5,
            type:1,
            id: 'SaleStatus',
            placeholder:'请选择销售状态',
            items: [
                { name: '销售状态', value:'' },
                { name: '上架', value: 2 },
                { name: '下架', value: 1 },
                { name: '官方维护', value: 3 },
                { name: '库存维护', value: 4 }
            ]
        },
        {
            name: '库存状态',
            index: 6,
            type:1,
            id: 'StockStatus',
            placeholder:'请选择库存状态',
            items: [
                { name: '库存状态', value:'' },
                { name: '断货', value: 1 },
                { name: '警报', value: 2 },
                { name: '充足', value: 3 },
            ]
        }
    ],
    goodsStockGroup:[
        {
            name: '分组名称',
            index: 1,
            type: 0,
            id: 'GroupName',
            formItems:"max",
            placeholder:'请输入分组名称',
            showlength:12
        }
    ],
    priceGroup:[
        {
            name: '商户密价组名称',
            index: 1,
            type: 0,
            id: 'Name',
            formItems:"max",
            placeholder:'请输入商户密价组名称',
        },
        {
            name: '商户号',
            index: 2,
            type: 0,
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            id: 'MemberCode',
            placeholder:'请输入商户号',
            styles:{},
        }
    ],

    priceMerchants:[
        {
            name: '商户名称',
            index: 1,
            type: 0,
            id: 'MemberName',
            formItems:"max",
            placeholder:'请输入商户名称',
        },
        {
            name: '商户号  ',
            index: 2,
            type: 0,
            id: 'MemberCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商户号',
            styles:{},
        }
    ],
    priceGoods:[
        {
            name: '商品编号',
            index: 1,
            type: 0,
            id: 'productId',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商品编号',
        },
        {
            name: '商品名称',
            index: 2,
            type: 0,
            id: 'productName',
            placeholder:'请输入商品名称',
            styles:{},
        },
        {
            name: '商品面值',
            index: 3,
            type: 0,
            id: 'productFaceValue',
            placeholder:'请输入商品面值',
            styles:{},
        },
        {
            name: '是否密价',
            index: 4,
            type:1,
            id: 'isSp',
            placeholder:'请选择是否密价',
            items: [
                { name: '是否密价', value: '' },
                { name: '是', value: 1 },
                { name: '否', value: 0 },
            ]
        },
        {
            name: '库存属性',
            index: 5,
            type:1,
            id: 'productType',
            placeholder:'请选择库存属性',
            items: [
                { name: '库存属性', value: '' },
                { name: '卡密', value: 3 },
                { name: '直充', value: 4 },
            ]
        },
        {
            name: '销售状态',
            index: 6,
            type:1,
            id: 'saleStatus',
            placeholder:'请选择销售状态',
            items: [
                { name: '销售状态', value: '' },
                { name: '上架', value: 2 },
                { name: '下架', value: 1 },
                { name: '官方维护', value: 3 },
                { name: '库存维护', value: 4 }
            ]
        }
    ],
    addpriceGoods:[
        {
            name: '商品编号',
            index: 1,
            type: 0,
            id: 'productId',
            formItems:'max',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商品编号',
        },
        {
            name: '商品名称',
            index: 2,
            type: 0,
            id: 'productName',
            formItems:'max',
            placeholder:'请输入商品名称',
            styles:{},
        },
        {
            name: '库存属性',
            index: 3,
            type:1,
            id: 'productType',
            formItems:'max',
            placeholder:'请选择库存属性',
            items: [
                { name: '库存属性', value: '' },
                { name: '卡密', value: 3 },
                { name: '直充', value: 4 },
            ]
        },
        {
            name: '票据类型',
            index: 4,
            type:1,
            id: 'invoiceType',
            formItems:'max',
            placeholder:'请选择票据类型',
            items: [
                { name: '票据类型', value: '' },
                { name: '寄售', value: 0 },
                { name: '自营', value: 1 },
            ]
        },
        {
            name: '库存状态',
            index: 5,
            type:1,
            id: 'stockStatus',
            formItems:'max',
            placeholder:'请选择库存状态',
            items: [
                { name: '库存状态', value: '' },
                { name: '断货', value: 1 },
                { name: '警报', value: 2 },
                { name: '充足', value: 3 },
            ]
        },
        {
            name: '销售状态',
            index: 5,
            type:1,
            id: 'saleStatus',
            formItems:'max',
            placeholder:'请选择销售状态',
            items: [
                { name: '销售状态', value: '' },
                { name: '上架', value: 2 },
                { name: '下架', value: 1 },
                { name: '官方维护', value: 3 },
                { name: '库存维护', value: 4 }
            ]
        },
        {
            name: '最小面值',
            index: 6,
            type:0,
            id: 'minFaceValue',
            formItems:'max',
            placeholder:'请输入最小面值',
        },
        {
            name: '最大面值',
            index: 7,
            type:0,
            id: 'maxFaceValue',
            formItems:'max',
            placeholder:'请输入最大面值',
        }
    ],
    AsyncMerchants:[
        {
            name: '商户名称',
            index: 1,
            type: 0,
            id: 'memberName',
            formItems:"max",
            placeholder:'请输入商户名称',
        },
        {
            name: '商户号  ',
            index: 2,
            type: 0,
            id: 'memberCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商户号',
            styles:{},
        }
    ],
    merchantsSearch:[
        {
            name: '商户号  ',
            index: 1,
            type: 0,
            id: 'MemberCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商户号',
            styles:{},
        },
        {
            name: '商户名称',
            index: 2,
            type: 0,
            id: 'MemberName',
            placeholder:'请输入商户名称',
        }
    ],
    goodsSearch:[
        {
            name: '商品编号',
            index: 1,
            type: 0,
            id: 'productId',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商品编号',
            styles:{},
        },
        {
            name: '商品名称',
            index: 2,
            type: 0,
            id: 'productName',
            placeholder:'请输入商品名称',
        }
    ],
    pricePending:[
        {
            name: '商户名称',
            index: 1,
            type: 0,
            id: 'memberName',
            placeholder:'请输入商户名称',
        },
        {
            name: '商户编号',
            index: 2,
            type: 0,
            id: 'memberCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商户编号',
            styles:{},
        },
        {
            name: '商务',
            index: 3,
            type: 0,
            id: 'userName',
            placeholder:'请输入商务',
            formItems:"min",
            styles:{},
        },
        {
            name: '创建时间',
            index: 4,
            type: 2,
            id: 'CreatTime',
            timeKey:["timeBegin","timeEnd"],
            placeholder:'请选择创建时间',
            styles:{},
        },
        {
            name: '状态',
            index: 5,
            type:1,
            id: 'status',
            placeholder:'请选择状态',
            formItems:"min",
            items: [
                { name: '状态', value: '' },
                { name: '待推送密价', value: 11 },
                { name: '已推送密价', value: 21 },
                { name: '已生成密价', value: 31 },
            ]
        },
    ],
    pricePendingDetail:[
        {
            name: '商品名称',
            index: 1,
            type: 0,
            id: 'productName',
            formItems:"max",
            placeholder:'请输入商品名称',
        },
        {
            name: '商品编号',
            index: 2,
            type: 0,
            id: 'productId',
            formItems:"max",
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商品编号',
            styles:{},
        },
        {
            name: '类型',
            index: 3,
            type:1,
            id: 'productType',
            placeholder:'请选择类型',
            items: [
                { name: '类型', value: '' },
                { name: '卡密', value: 3 },
                { name: '直充', value: 4 }
            ]
        },
    ],
    SupplyCommodity:[{
      name: '供货商名称',
      index: 1,
      type: 0,
      id: 'supMemberName',
      placeholder:'请输入供货商名称',
      styles:{},
    },{
      name: '商户号',
      index: 2,
      type: 0,
      id: 'memberCode',
      placeholder:'请输入商户号',
      styles:{},
    },{
      name: '商品编号',
      index: 3,
      type: 0,
      id: 'supProductId',
      placeholder:'请输入商品编号',
      styles:{},
    },{
      name: '商品名称',
      index: 4,
      type: 0,
      id: 'supProductName',
      placeholder:'请输入商品名称',
      styles:{},
    },{
      name: '面值',
      index: 5,
      type: 0,
      id: 'supProductFaceValue',
      placeholder:'请输入面值',
      styles:{},
    },{
      name: '销售状态',
      index: 6,
      type:1,
      id: 'supProductSaleStatus',
      placeholder:'请选择销售状态',
      items: [
          {name:'销售状态',value:''},
          { name: '上架', value: '1' },
          { name: '下架', value: '0' },
      ]
    },{
      name: '商品类型',
      index: 7,
      type:1,
      id: 'supProductType',
      placeholder:'请选择商品类型',
      items: [
          {name:'商品类型',value:''},
          { name: '在线直充', value: '在线直充' },
          { name: '卡密', value: '卡密' },
          { name: '卡密直充', value: '卡密直充' },
          { name: '实时采卡', value: '实时采卡' },
      ]
    },
    {
      name: '发布状态',
      index: 8,
      type:1,
      id: 'publish',
      placeholder:'请选择发布状态',
      items: [
          {name:'发布状态',value:''},
          { name: '未发布', value: '0' },
          { name: '已发布到商品池', value: '1' },
      ]
    },
    {
      name: '商户类型',
      index: 11,
      type:1,
      id: 'memberType',
      placeholder:'请选择商户类型',
      items: [
          {name:'商户类型',value:''},
          { name: '内部', value: 1 },
          { name: '外部', value: 2 },
      ]
    },{
      name: '标签',
      index: 12,
      type: 0,
      id: 'productTag',
      placeholder:'请输入标签',
      styles:{},
    },],
    OrderList: [{
      name: '订单编号',
      index: 1,
      type: 0,
      id: 'orderId',
      placeholder:'请输入订单编号',
      styles:{},
    },{
      name: '商户名称',
      index: 2,
      type: 0,
      id: 'memberName',
      placeholder:'请输入商户名称',
      styles:{},
    },{
      name: '商户号',
      index: 3,
      type: 0,
      id: 'memberCode',
      rules: {
        ruleType: 'function',
        messgae: '',
        ruleName: 'validInt'
      },
      placeholder:'请输入商户号',
      styles:{},
    },{
      name: '入库时间',
      index: 4,
      type: 2,
      id: 'time',
      timeKey:["createStartTime","createEndTime"],
      defaultValue: [moment(moment().format('YYYY-MM-DD 00:00:00')),moment(moment().format('YYYY-MM-DD 23:59:59'))], 
      placeholder:'请选择创建时间',
      config: {
        allowClear: false,
        disabledDate: (current) => {
          return current && current < moment().subtract(2,'months').subtract(1,'days').endOf('day');
        }
      },
      styles:{},
    },{
      name: '商品编号',
      index: 4,
      type: 0,
      id: 'productId',
      rules: {
        ruleType: 'function',
        messgae: '',
        ruleName: 'validInt'
      },
      placeholder:'请输入商品编号',
      styles:{},
    },{
      name: '商品名称',
      index: 5,
      type: 0,
      id: 'productName',
      placeholder:'请输入商品名称',
      styles:{},
    },{
      name: '客户订单号',
      index: 6,
      type: 0,
      id: 'customerOrderNo',
      placeholder:'请输入客户订单号',
      styles:{},
    },
    // {
    //   name: '订单类型',
    //   index: 7,
    //   type: 1,
    //   id: 'orderType',
    //   placeholder:'请选择订单类型',
    //   items: [
    //       {name:'订单类型',value:''},
    //       { name: '话费', value: '1' },
    //       { name: '流量', value: '2' },
    //       { name: '卡密', value: '3' },
    //       { name: '直充', value: '4' },
    //   ]
    // },
    {
      name: '订单状态',
      index: 8,
      type: 1,
      id: 'orderOuterStatus',
      placeholder:'请选择订单状态',
      items: [
          {name:'订单状态', value: ''},
          { name: '待充值', value: '31' },
          { name: '充值中', value: '41' },
          { name: '充值成功', value: '51' },
          { name: '充值失败', value: '61' },
      ]
    },{
      name: '充值账号',
      index: 9,
      type: 0,
      id: 'chargeAccount',
      placeholder:'请输入充值账号',
      styles:{},
    },
    // {
    //   name: '批次号',
    //   index: 10,
    //   type: 0,
    //   id: 'batchNumber',
    //   placeholder:'请输入批次号',
    //   styles:{},
    // },{
    //   name: '票据类型',
    //   index: 11,
    //   type: 7,
    //   id: 'invoiceType',
    //   placeholder: '请选择票据类型',
    //   items: [
    //     {name:'票据类型',value:''},
    //     { name: '寄售', value: '0' },
    //     { name: '自营', value: '1' },
    //   ]
    // },{
    //   name: '充值类型',
    //   index: 12,
    //   type: 7,
    //   id: 'chargeSpeed',
    //   placeholder: '请选择充值类型',
    //   items: [
    //     {name:'充值类型',value:''},
    //     { name: '快充', value: '快充' },
    //     { name: '慢充', value: '慢充' },
    //     { name: '三网通', value: '三网通' },
    //   ]
    // },{
    //   name: '业务类型',
    //   index: 13,
    //   type: 7,
    //   id: 'bizType',
    //   placeholder: '请选择业务类型',
    //   items: [
    //     {name:'业务类型',value:''},
    //     { name: '销售单', value: '11' },
    //     { name: '转单', value: '21' },
    //     { name: '售后补充', value: '31' },
    //     { name: '补单', value: '41' },
    //     { name: '天猫提卡', value: '51' },
    //   ]
    // },{
    //   name: '支付方式',
    //   index: 12,
    //   type: 7,
    //   id: 'paymentMethod',
    //   placeholder: '请选择支付方式',
    //   items: [
    //     {name:'支付方式',value:''},
    //     { name: '现金账户', value: '1' },
    //     { name: '授信账户', value: '2' },
    //   ]
    // },
    ],
    MemberList: [{
      name: '商户名称',
      index: 1,
      type: 0,
      id: 'name',
      placeholder:'请输入商户名称',
      styles:{},
    },{
      name: '商户号',
      index: 2,
      type: 0,
      id: 'memberCode',
      rules: {
        ruleType: 'function',
        messgae: '',
        ruleName: 'validInt'
      },
      placeholder:'请输入商户号',
      styles:{},
    },{
      name: '手机号',
      index: 3,
      type: 0,
      id: 'tel',
      placeholder:'请输入手机号',
      styles:{},
    },{
      name: '商户状态',
      index: 4,
      type: 7,
      id: 'memberStatus',
      placeholder: '请选择商户状态',
      items: [
        {name:'商户状态',value:''},
        { name: '启用', value: '1' },
        { name: '禁用', value: '2' },
      ]
    },{
      name: '认证类型',
      index: 5,
      type: 7,
      id: 'authenticationType',
      placeholder: '请选择认证类型',
      items: [
        {name:'认证类型',value:''},
        { name: '未认证', value: '1' },
        { name: '个人', value: '2' },
        { name: '企业', value: '3' },
      ]
    },{
      name: '认证状态',
      index: 6,
      type: 7,
      id: 'authenticationStatus',
      placeholder: '请选择认证状态',
      items: [
        {name:'认证状态',value:''},
        { name: '未认证', value: '0' },
        { name: '认证待审核', value: '1' },
        { name: '认证通过', value: '2' },
        { name: '认证不通过', value: '3' },
      ]
    },{
      name: '商户类型',
      index: 7,
      type: 7,
      id: 'memberType',
      placeholder: '请选择商户类型',
      items: [
        {name:'商户类型',value:''},
        { name: '内部', value: '1' },
        { name: '外部', value: '2' },
      ]
    },{
      name: '注册时间',
      index: 8,
      type: 2,
      id: 'time1',
      timeKey:["registerStartDate","registerEndDate"],
      placeholder:'请选择注册时间',
      styles:{},
    },{
      name: '认证时间',
      index: 9,
      type: 2,
      id: 'time2',
      timeKey:["startInnerAuditTime","endInnerAuditTime"],
      placeholder:'请选择认证时间',
      styles:{},
    },{
      name: '协议类型',
      index: 10,
      type: 7,
      id: 'isThird',
      placeholder: '请选择协议类型',
      items: [
        {name:'协议类型',value:''},
        { name: '三方', value: '1' },
        { name: '非三方', value: '0' },
      ]
    },],
    tagmanageReport:[
        {
            name: '进货商户名称',
            index: 1,
            type: 0,
            id: 'name',
            placeholder:'请输入进货商户名称',
            styles:{},
            formItems:"max",
        },{
            name: '进货商户号',
            index: 2,
            type: 0,
            id: 'memberCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入进货商户号',
            styles:{},
        },{
            name: '主体名称',
            index: 3,
            type: 0,
            id: 'affiliatedCompanyName',
            placeholder:'请输入主体名称',
            styles:{},
        },
    ],
    reportMerchants:[
        {
            name: '平台商品名称',
            index: 1,
            type: 0,
            id: 'productName',
            placeholder:'请输入平台商品名称',
            styles:{},
            formItems:"max",
        },
        {
            name: '平台商品编号',
            index: 2,
            type: 0,
            id: 'id',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入平台商品编号',
            styles:{},
            formItems:"max",
        },
        {
            name: '供货商品名称',
            index: 3,
            type: 0,
            id: 'supProductName',
            placeholder:'请输入供货商品名称',
            styles:{},
            formItems:"max",
        },
        {
            name: '供货商品编号',
            index: 4,
            type: 0,
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            id: 'supProductId',
            placeholder:'请输入供货商品编号',
            styles:{},
            formItems:"max",
        },
        {
            name: '供货商名称',
            index: 5,
            type: 0,
            id: 'supMemberName',
            placeholder:'请输入供货商名称',
            styles:{},
            formItems:"max",
        },
        {
            name: '供货商户号',
            index: 6,
            type: 0,
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            id: 'supMemberCode',
            placeholder:'请输入供货商户号',
            styles:{},
            formItems:"max",
        },
        {
            name: '商品类型',
            index: 7,
            type:1,
            id: 'supProductType',
            placeholder:'请选择商品类型',
            items: [
                {name:'商品类型',value:''},
                { name: '在线直充', value: '在线直充' },
                { name: '卡密', value: '卡密' },
                { name: '卡密直充', value: '卡密直充' },
                { name: '实时采卡', value: '实时采卡' },
            ]
        },
        {
            name: '商户类型',
            index: 8,
            type:1,
            id: 'memberType',
            placeholder:'请选择商户类型',
            items: [
                {name:'商户类型',value:''},
                { name: '内部', value: 1 },
                { name: '外部', value: 2 },
            ]
        },
        {
            name: '票据类型',
            index: 9,
            type:1,
            id: 'invoiceType',
            placeholder:'请选择票据类型',
            items: [
                {name:'票据类型',value:''},
                { name: '寄售', value: 0 },
                { name: '自营', value: 1 },
            ]
        },
    ],
    treasuryLocks:[
        {
            name: '商户编号',
            index: 1,
            type: 0,
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            id: 'MemberId',
            placeholder:'请输入商户编号',
            styles:{},
        },
        {
            name: '商户名称',
            index: 2,
            type: 0,
            id: 'MemberName',
            placeholder:'请输入商户名称',
        },
        {
            name: '商品编号',
            index: 3,
            type: 0,
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            id: 'ProductId',
            placeholder:'请输入商品编号',
        },
        {
            name: '商品名称',
            index: 4,
            type: 0,
            id: 'ProductName',
            placeholder:'请输入商品名称',
            styles:{},
        },
        {
            name: '审批状态',
            index: 5,
            type:1,
            id: 'ApprovalStatus',
            placeholder:'请选择审批状态',
            items: [
                { name: '审批状态', value: '' },
                { name: '待审核', value: 1 },
                { name: '已通过', value: 2 },
                { name: '未通过', value: 3 },
            ]
        },
        {
            name: '锁定开始时间',
            index: 6,
            type:2,
            id: 'lockTime',
            placeholder:'请选择锁定开始时间',
            formItems:"max",
        },
    ],
    stockMechants:[
        {
            name: '商户编号',
            index: 1,
            type: 0,
            id: 'MemberCode',
            placeholder:'请输入商户编号',
            styles:{},
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            formItems:"max"
        },
        {
            name: '商户名称',
            index: 2,
            type: 0,
            id: 'MemberName',
            placeholder:'请输入商户名称',
            formItems:"max"
        },
        {
            name: '主体名称',
            index: 3,
            type: 0,
            id: 'MemberAuthenticationName',
            placeholder:'请输入主体名称',
            styles:{},
            formItems:"max"
        },
        {
            name: '商户类型',
            index: 8,
            type:1,
            id: 'MemberType',
            placeholder:'请选择商户类型',
            items: [
                {name:'商户类型',value:''},
                { name: '内部', value: 1 },
                { name: '外部', value: 2 },
            ],
            formItems:"max"
        },
    ],
    stockgoods:[
        {
            name: '商品编号',
            index: 1,
            type: 0,
            id: 'Id',
            placeholder:'请输入商品编号',
            styles:{},
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            formItems:"max"
        },
        {
            name: '商品名称',
            index: 2,
            type: 0,
            id: 'ProductName',
            placeholder:'请输入商品名称',
            styles:{},
            formItems:"max"
        },
        {
            name: '面值',
            index: 3,
            type: 0,
            id: 'FaceValue',
            placeholder:'请输入面值',
            styles:{},
        },
        {
            name: '票据类型',
            index: 4,
            type:1,
            id: 'InvoiceType',
            placeholder:'请选择票据类型',
            formItems:"max",
            items: [
                {name:'票据类型',value:''},
                { name: '寄售', value: 0 },
                { name: '自营', value: 1 },
            ]
        },
    ],
    tagmanageActivity:[
        {
            name: '活动编号',
            index: 1,
            type: 0,
            id: 'ActivityId',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入活动编号',
            styles:{},
        },
        {
            name: '活动名称',
            index: 2,
            type: 0,
            id: 'ActivityName',
            placeholder:'请输入活动名称',
        },
        {
            name: '活动类型',
            index: 3,
            type:1,
            id: 'ReduceType',
            placeholder:'请选择活动类型',
            items: [
                { name: '活动类型', value: '' },
                { name: '折扣', value: 0 },
                { name: '立减', value: 1 },
            ]
        },
        {
            name: '官方活动',
            index: 3,
            type:1,
            id: 'IsOfficial',
            placeholder:'请选择官方活动',
            items: [
                { name: '官方活动', value: '' },
                { name: '是', value: true },
                { name: '否', value: false },
            ]
        },
        {
            name: '活动状态',
            index: 3,
            type:1,
            id: 'ActivityStatus',
            placeholder:'请选择活动状态',
            items: [
                { name: '活动状态', value: '' },
                { name: '未开始', value: 0 },
                { name: '进行中', value: 1 },
                { name: '已结束', value: 2 },
                { name: '禁用', value: 3 },
            ]
        },
    ],
    chooseMerchants:[
        {
            name: '商户编号',
            index: 1,
            type: 0,
            id: 'MemberCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商户编号',
            styles:{},
        },
        {
            name: '商户名称',
            index: 2,
            type: 0,
            id: 'MemberName',
            placeholder:'请输入商户名称',
        },
        {
            name: '主体名称',
            index: 3,
            type: 0,
            id: 'MemberAuthenticationName',
            placeholder:'请输入主体名称',
            styles:{},
        },
        {
            name: '商户类型',
            index: 8,
            type:1,
            id: 'MemberType',
            placeholder:'请选择商户类型',
            items: [
                {name:'商户类型',value:''},
                { name: '内部', value: 1 },
                { name: '外部', value: 2 },
            ]
        },
    ],
    cardgoodsGroup:[
        {
            name: '分组名称',
            index: 1,
            type: 0,
            id: 'GroupName',
            placeholder:'请输入分组名称',
        },
        {
            name: '分组编号',
            index: 2,
            type: 0,
            id: 'GroupCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入分组编号',
        },
        {
            name: '库存票据类型',
            index: 3,
            type:1,
            id: 'InvoiceType',
            placeholder:'请选择库存票据类型',
            formItems:"max",
            items: [
                {name:'库存票据类型',value:''},
                { name: '寄售', value: 0 },
                { name: '自营', value: 1 },
            ]
        },
            
    ],
    cardgoodsHome:[
        {
            name: '供货商名称',
            index: 1,
            type: 0,
            id: 'SupplierName',
            placeholder:'请输入供货商名称',
        },
        {
            name: '商户号',
            index: 1,
            type: 0,
            id: 'MemberCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商户号',
        },
        {
            name: '商品名称',
            index: 1,
            type: 0,
            id: 'ProductName',
            placeholder:'请输入商品名称',
        },
        {
            name: '商品编号',
            index: 1,
            type: 0,
            id: 'ProductId',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商品编号',
        },
        {
            name: '面值',
            index: 1,
            type: 0,
            id: 'FaceValue',
            placeholder:'请输入面值',
        },
        {
            name: '销售状态',
            index: 6,
            type:1,
            id: 'SalesStatus',
            placeholder:'请选择销售状态',
            items: [
                {name:'销售状态',value:''},
                { name: '下架', value: 0 },
                { name: '上架', value: 1},
            ]
        },
    ],
    cardGroupgoodslist:[
        {
            name: '商品名称',
            index: 1,
            type: 0,
            id: 'ProductName',
            placeholder:'请输入商品名称',
        },
    ],
    addCardGroupGoods:[
        {
            name: '商品名称',
            index: 1,
            type: 0,
            id: 'ProductName',
            placeholder:'请输入商品名称',
            formItems:"max"
        },
        {
            name: '商品编号',
            index: 1,
            type: 0,
            id: 'ProductId',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商品编号',
            formItems:"max"
        },
    ],
    Grouping:[
        {
            name: '分组名称',
            index: 1,
            type: 0,
            id: 'GroupName',
            placeholder:'请输入分组名称',
            formItems:"max"
        },
        {
            name: '分组编号',
            index: 1,
            type: 0,
            id: 'GroupCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入分组编号',
            formItems:"max"
        },
        {
            name: '分组类型',
            index: 6,
            type:1,
            id: 'Mode',
            placeholder:'请选择分组类型',
            formItems:"max",
            items: [
                {name:'分组类型',value:''},
                { name: '同步提卡', value: 1 },
                { name: '异步提卡', value: 2 },
            ]
        },
    ],
    RechargeGroup:[
        {
            name: '分组名称',
            index: 1,
            type: 0,
            id: 'GroupName',
            placeholder:'请输入分组名称',
        },
        {
            name: '分组编号',
            index: 1,
            type: 0,
            id: 'GroupCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入分组编号',
        },
        {
            name: '库存票据类型',
            index: 6,
            type:1,
            id: 'InvoiceType',
            placeholder:'请选择库存票据类型',
            formItems:"max",
            items: [
                {name:'库存票据类型',value:''},
                { name: '寄售', value: '0' },
                { name: '自营', value: '1' },
            ]
        },
    ],
    rechargeHome:[
        {
            name: '供货商名称',
            index: 1,
            type: 0,
            id: 'SupplierName',
            placeholder:'请输入供货商名称',
        },
        {
            name: '商户号',
            index: 1,
            type: 0,
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            id: 'MemberCode',
            placeholder:'请输入商户号',
        },
        {
            name: '商品名称',
            index: 1,
            type: 0,
            id: 'ProductName',
            placeholder:'请输入商品名称',
        },
        {
            name: '商品编号',
            index: 1,
            type: 0,
            id: 'ProductId',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入商品编号',
        },
        {
            name: '面值',
            index: 1,
            type: 0,
            id: 'FaceValue',
            placeholder:'请输入面值',
        },
        {
            name: '销售状态',
            index: 6,
            type:1,
            id: 'SalesStatus',
            placeholder:'请选择销售状态',
            items: [
                {name:'销售状态',value:''},
                { name: '下架', value: 0 },
                { name: '上架', value: 1},
            ]
        },
    ],
    rechargeGroupgoodslist:[
        {
            name: '商品名称',
            index: 1,
            type: 0,
            id: 'ProductName',
            placeholder:'请输入商品名称',
        },
    ],
    rechargeGrouping:[
        {
            name: '分组名称',
            index: 1,
            type: 0,
            id: 'GroupName',
            placeholder:'请输入分组名称',
            formItems:"max"
        },
        {
            name: '分组编号',
            index: 1,
            type: 0,
            id: 'GroupCode',
            rules: {
                ruleType: 'function',
                messgae: '',
                ruleName: 'validInt'
            },
            placeholder:'请输入分组编号',
            formItems:"max"
        }
    ],
    templateName:[
        {
            name: '模板名称',
            index: 1,
            type: 0,
            id: 'addressName',
            placeholder:'请输入模板名称',
            formItems:"max",
            showlength:12
        },
    ]

};
