import axios from '../utils/axios';
import Api from '../configs/api';
import { message } from 'antd';

// 获取活动列表
export function GetActivityList(data) {
  return axios.get(Api.GetActivityList, {
    params: data
  })
}

// 获取活动详情
export function GetActivityDetail(data) {
  return axios.get(Api.GetActivityDetail, {
    params: data
  })
}

// 获取活动列表
export function GetActivityRelationProductList(data) {
  return axios.get(Api.GetActivityRelationProductList, {
    params: data
  })
}

// 获取平台商品列表
export function GetSupProductRelationProductList(data) {
  return axios.get(Api.GetSupProductRelationProductList, {
    params: data
  })
}

// 获取活动申请列表
export function GetActivityApplyList(data) {
  return axios.get(Api.GetActivityApplyList, {
    params: data
  })
}

// 获取进货商列表
export function GetActivityApplyMemberList(data) {
  return axios.get(Api.GetActivityApplyMemberList, {
    params: data
  })
}





// 发送手机验证码
export function SubmitActivityApply (data) {
  return axios({
    method: 'post',
    url: Api.SubmitActivityApply,
    data: data
  })
}


export function StasticActivityApplyCount(data) {
  return axios.get(Api.StasticActivityApplyCount, {
    params: data
  })
}


export function ReSubmitActivityApply (data) {
  return axios({
    method: 'post',
    url: Api.ReSubmitActivityApply,
    data: data
  })
}















// // 发送手机验证码
// export function SendVerifyCode (data) {
//   return axios({
//     method: 'post',
//     url: Api.SendVerifyCode,
//     data: data
//   })
// }










