import axios from '../utils/axios';
import Api from '../configs/api';
import { message } from 'antd';

// 获取获取商品名称搜索下拉组件数据源
export function getGoodsList(data) {
  return axios.get(Api.getGoodsList, {
    params: data
  })
}

// 获取获取商品管理列表
export function GetgoodsResource(data) {
  return axios.get(Api.GetgoodsResource, {
    params: data
  })
}

// 获取库存组数据
export function GetInventoryGroupsList(data) {
  return axios.get(Api.GetInventoryGroupsList, {
    params: data
  })
}

// 获取商品详情
export function GetProductDetail(data) {
  return axios.get(Api.GetProductDetail, {
    params: data
  })
}


// 批量设置商品的销售状态
export function BatchSetSaleStatus (data) {
  return axios({
    method: 'post',
    url: Api.BatchSetSaleStatus,
    data: data
  })
}

// 分页获取商品模板
export function GetTemplateList (data) {
  return axios({
    method: 'post',
    url: Api.GetTemplateList,
    data: data
  })
}

// 新增商品
export function ProductCreate (data) {
  return axios({
    method: 'post',
    url: Api.ProductCreate,
    data: data
  })
}

// 获取话费流量区域数据
export function GetAreaList(data) {
  return axios.get(Api.GetAreaList, {
    params: data
  })
}

// 编辑商品
export function ProductUpdate (data) {
  return axios({
    method: 'post',
    url: Api.ProductUpdate,
    data: data
  })
}








  



// // 发送手机验证码
// export function SendVerifyCode (data) {
//   return axios({
//     method: 'post',
//     url: Api.SendVerifyCode,
//     data: data
//   })
// }










