import axios from '../utils/axios';
import Api from '../configs/api';
import { message } from 'antd';

// 获取商品分类
export function GetpriceResource(data) {
  return axios.get(Api.GetpriceResource, {
    params: data
  })
}

// 添加密价组
export function addPriceGroup (data) {
  return axios({
    method: 'post',
    url: Api.addPriceGroup,
    data: data
  })
}

// 编辑密价组
export function EditPriceGroup (data) {
  return axios({
    method: 'put',
    url: Api.EditPriceGroup,
    data: data
  })
}

export function DeletePriceGroup (data) {
  return axios({
    method: 'post',
    url: Api.DeletePriceGroup,
    data: data
  })
}

export function GetMerchantsResource(data) {
  return axios.get(Api.GetMerchantsResource, {
    params: data
  })
}

export function GetBusinessInfo(data) {
  return axios.get(Api.GetBusinessInfo, {
    params: data
  })
}

export function DeletetMerchants (data) {
  return axios({
    method: 'post',
    url: Api.DeletetMerchants,
    data: data
  })
}

export function GetMemberList(data) {
  return axios.get(Api.GetMemberList, {
    params: data
  })
}

export function AddProductSpMember (data) {
  return axios({
    method: 'post',
    url: Api.AddProductSpMember,
    data: data
  })
}

export function GetBusinessInfoIntoMember (data) {
  return axios({
    method: 'post',
    url: Api.GetBusinessInfoIntoMember,
    data: data
  })
}

export function GetSecretProductPageList (data) {
  return axios({
    method: 'post',
    url: Api.GetSecretProductPageList,
    data: data
  })
}

export function GetMemberSecretPriceProductList (data) {
  return axios({
    method: 'post',
    url: Api.GetMemberSecretPriceProductList,
    data: data
  })
}

export function AddMemberSecretPriceProduct (data) {
  return axios({
    method: 'post',
    url: Api.AddMemberSecretPriceProduct,
    data: data
  })
}

export function GetSupProductList (data) {
  return axios({
    method: 'post',
    url: Api.GetSupProductList,
    data: data
  })
}

export function DeleteMemberProductSecretPrice (data) {
  return axios({
    method: 'post',
    url: Api.DeleteMemberProductSecretPrice,
    data: data
  })
}

export function UpdateMemberProductSecretPrice (data) {
  return axios({
    method: 'post',
    url: Api.UpdateMemberProductSecretPrice,
    data: data
  })
}

export function RemoveMemberProductSecretPrice (data) {
  return axios({
    method: 'post',
    url: Api.RemoveMemberProductSecretPrice,
    data: data
  })
}

export function SetEnableBuy (data) {
  return axios({
    method: 'post',
    url: Api.SetEnableBuy,
    data: data
  })
}

export function SetMemberProductRebateSecretPrice (data) {
  return axios({
    method: 'post',
    url: Api.SetMemberProductRebateSecretPrice,
    data: data
  })
}

export function SetMemberProductSecretPrice(data) {
  return axios({
    method: 'post',
    url: Api.SetMemberProductSecretPrice,
    data: data
  })
}

export function GetSynchronousMemberList(data) {
  return axios({
    method: 'post',
    url: Api.GetSynchronousMemberList,
    data: data
  })
}

export function SynchronousMemberProductSecretPrice(data) {
  return axios({
    method: 'post',
    url: Api.SynchronousMemberProductSecretPrice,
    data: data
  })
}

export function GetQuotationSheetManageList(data) {
  return axios.get(Api.GetQuotationSheetManageList, {
    params: data
  })
}


export function CreateSecretPrice(data) {
  return axios({
    method: 'post',
    url: Api.CreateSecretPrice,
    data: data
  })
}

export function QuotationSheetProductDetailInOperator(data) {
  return axios.get(Api.QuotationSheetProductDetailInOperator, {
    params: data
  })
}

export function GetAppsList(data) {
  return axios.get(Api.GetAppsList, {
    params: data
  })
}






















































