import axios from '../utils/axios';
import Api from '../configs/api';

// 获取商品分类
export function GetDataResource(data) {
    if(data.tabType=='2'){
        let obj={}
        for(var i in data){
            if(i!='tabType'){
               Object.assign(obj,{[i]:data[i]})
            }
        }
        return axios.get(Api.GetGoodsSearch, {
            params: obj
        })
    }else{
        return axios.get(Api.GetMerchantsSearch, {
            params: data
        })
    }
  
}

// 获取导入记录列表
export function GetRecrdList(data) {
    return axios.get(Api.GetRecrdList, {
      params: data
    })
}

// 获取导入详情列表
export function GetImportSecretDetail(data) {
    return axios.get(Api.GetImportSecretDetail, {
      params: data
    })
}

// 重新导入
export function ReImportSecret(data) {
    return axios.get(Api.ReImportSecret, {
      params: data
    })
}

// 判断是否有正在导入的密价
export function HaveImportSecret(data) {
    return axios.get(Api.HaveImportSecret, {
      params: data
    })
}





// // 发送手机验证码
// export function SendVerifyCode (data) {
//   return axios({
//     method: 'post',
//     url: Api.SendVerifyCode,
//     data: data
//   })
// }










